Skip to main content

Create Lease File: Rentvine

POSThttps://api.propexo.com/v1/leases/rentvine/:lease_id/file-upload/
InterfaceMethod
FilesPOST /api/manager/files
Notice

Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

lease_id stringrequired

The Propexo unique identifier for the lease

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    attachment objectrequired

    The file data for the document upload

    file_datastringrequired

    The contents of the file, as a base64 encoded string. We limit the file upload size to 50 MB.

    Possible values: <= 69730304 characters

    file_namestringrequired

    The name of the file including the extension. Ex: "resume.pdf"

    mime_typestringrequired

    The mime type of the file. Ex: "application/pdf"

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    lease_idstringrequired

    The Propexo unique identifier for the lease

    attachment objectrequired
    file_datastring | nullnullable

    The contents of the file, as a base64 encoded string. We limit the file upload size to 50 MB.

    Possible values: <= 69730304 characters

    file_namestringrequired

    The name of the file including the extension. Ex: "resume.pdf"

    mime_typestringrequired

    The mime type of the file. Ex: "application/pdf"

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/leases/rentvine/:lease_id/file-upload/
curl -X POST https://api.propexo.com/v1/leases/rentvine/:lease_id/file-upload/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"attachment": {
"file_data": "string",
"file_name": "string",
"mime_type": "string"
}
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lease_id": "string",
"attachment": {
"file_data": "string",
"file_name": "string",
"mime_type": "string"
}
}
}